<?php
$lang->score->common       = 'Score';
$lang->score->browse       = 'Score List';
$lang->score->allGrant     = 'All Granted';
$lang->score->grantBrowse  = 'Grant List';
$lang->score->reviewBrowse = 'Review List';
$lang->score->giftScore    = 'Gift Score';
$lang->score->applyScore   = 'Apply Score';
$lang->score->grantScore   = 'Grant Score';
$lang->score->rank         = 'Score Rank';
$lang->score->type         = 'Score Type';
$lang->score->universal    = 'Universal Score';
$lang->score->levelScore   = 'Level Score';
$lang->score->setSect      = 'Set Sect';
$lang->score->setLevel     = 'Set Level';
$lang->score->join         = 'Join';
$lang->score->currentSect  = 'Current Sect';
$lang->score->noSect       = 'No Sect';
$lang->score->ranking      = 'Ranking';

$lang->score->id           = 'ID';
$lang->score->dept         = 'Dept';
$lang->score->rule         = 'Score Item';
$lang->score->scoreRule    = 'Score Rule';
$lang->score->behavior     = 'Action';
$lang->score->before       = 'Before';
$lang->score->score        = 'Score';
$lang->score->after        = 'After';
$lang->score->grantType    = 'Grant Type';
$lang->score->account      = 'Grant To';
$lang->score->actionDate   = 'Action Date';
$lang->score->applicant    = 'Applicant';
$lang->score->applyTime    = 'Apply Time';
$lang->score->time         = 'Time';
$lang->score->tradeObject  = 'Trade User';
$lang->score->giver        = 'Giver';
$lang->score->receiver     = 'Grant To';
$lang->score->reviewer     = 'Reviewer';
$lang->score->system       = 'System';
$lang->score->me           = 'Me';
$lang->score->desc         = 'Describe';
$lang->score->status       = 'Status';
$lang->score->rejectReason = 'Reject Reason';
$lang->score->setReviewer  = 'Set Reviewer';
$lang->score->giftTo       = 'Gift to';
$lang->score->giftValue    = 'Score';
$lang->score->scoreBalance = "Currently, %s score of shared and %s score of common points are available.";
$lang->score->action       = 'actions';
$lang->score->confirming   = 'Confiming';
$lang->score->level        = 'Level';
$lang->score->threshold    = 'Threshold';
$lang->score->scoreLevel   = 'Score Level';
$lang->score->sect         = 'Sect';
$lang->score->code         = 'Code';
$lang->score->sectCode     = 'Sect Code';
$lang->score->sectLevel    = 'Sect Level';
$lang->score->addSect      = 'Add Sect';

$lang->score->createRule = 'Create Score Rule';
$lang->score->editRule   = 'Edit Score Rule';
$lang->score->deleteRule = 'Delete Score Rule';

$lang->score->gift        = 'Gift';
$lang->score->apply       = 'Apply';
$lang->score->give        = 'Give';
$lang->score->grant       = 'Grant';
$lang->score->grantCommon = 'Grant Common Score';
$lang->score->grantBonus  = 'Grant Bonus Score';
$lang->score->giveService = 'Give Service';
$lang->score->giving      = 'Giving';
$lang->score->clear       = 'Clear';
$lang->score->pass        = 'Pass';
$lang->score->batchPass   = 'Batch Pass';
$lang->score->reject      = 'Reject';

$lang->score->typeList = array();
$lang->score->typeList['']       = '';
$lang->score->typeList['system'] = 'System Score';

$lang->score->myScoreTypeList = array();
$lang->score->myScoreTypeList['common'] = 'Common';
$lang->score->myScoreTypeList['share']  = 'Share';

$lang->score->grantTypeList = array();
$lang->score->grantTypeList['common'] = 'Common';
$lang->score->grantTypeList['bonus']  = 'Bonus';

$lang->score->statusList = array();
$lang->score->statusList['wait']   = 'Wait';
$lang->score->statusList['normal'] = 'Normal';
$lang->score->statusList['rejected'] = 'Reject';

$lang->score->methods = array();
$lang->score->methods['score']['gift']          = 'Score Gift';
$lang->score->methods['score']['clear']         = 'Score Clear';
$lang->score->methods['gift']['exchange']       = 'Exchange';
$lang->score->methods['gift']['cancelExchange'] = 'Cancel exchange';
$lang->score->methods['user']['login']          = 'Login';
$lang->score->methods['user']['changePassword'] = 'Change password';
$lang->score->methods['user']['editProfile']    = 'Edit profile';

$lang->score->descList = new stdclass();
$lang->score->descList->currentScore = "General points: %s, shared points: %s";
$lang->score->descList->service      = "Pay %s years of service points, and the current service is %s years";
$lang->score->descList->attendance   = "Full attendance points in %s-%s";
$lang->score->descList->giveShare    = 'Give the share score of %s-%s';
$lang->score->descList->giveBonus    = 'Give the reward score of %s year';
$lang->score->descList->clearShare   = 'Clear the share score of %s-%s';
$lang->score->descList->clearBonus   = 'Clear the reward score of %s year';
$lang->score->descList->clearCommon  = 'Clear the general score of %s year';
$lang->score->descList->deptScore    = "%sThe %s's available bonus score are %s;";

$lang->score->tip = new stdclass();
$lang->score->tip->confirmGiveServiceTitle  = "Are you sure you want to distribute seniority points?";
$lang->score->tip->confirmGiveServiceDetail = "After confirmation, the unpaid seniority points will be automatically distributed to members.";
$lang->score->tip->confirmPassTitle         = "Are you sure you want to approve this point application?";
$lang->score->tip->confirmPassDetail        = "After confirmation, the corresponding general points will be issued to the member.";
$lang->score->tip->shareSuccess             = 'Share success';
$lang->score->tip->giftRule                 = 'The gift score are deducted from the shared score and then from the common score.';
$lang->score->tip->confirmJoinSect          = 'Are you sure you want to join %s?';

$lang->score->error = new stdclass();
$lang->score->error->himself                  = "The reviewer cannot review for himself.";
$lang->score->error->expiration               = "Only applications for points within 10 days can be submitted.";
$lang->score->error->cannotDeletedSystemRule  = 'The system rule item cannot be deleted';
$lang->score->error->deptScoreNotEnough       = 'The score is running low';
$lang->score->error->noPermission             = 'No permission';
$lang->score->error->cannotGiftToSelf         = "You can't give it to yourself";
$lang->score->error->scoreMinimumLimit        = 'The minimum score are 1';
$lang->score->error->bonusScoreMinimumLimit   = 'The minimum score are 1';
$lang->score->error->insufficientScore        = 'The given score is greater than the available score';
$lang->score->error->thresholdError           = "The high level's score must be greater than the lower one.";
$lang->score->error->needScore                = 'Minimum integral cannot be empty';
$lang->score->error->sectCodeUnique           = 'Unique code cannot be repeated';
$lang->score->error->sectNameUnique           = 'Unique sect name cannot be repeated';
$lang->score->error->sectNotExist             = 'Sect does not exist';

$lang->scorerule = new stdclass();
$lang->scorerule->common = 'Score Rule';
$lang->scorerule->create = 'Add';
$lang->scorerule->id     = 'ID';
$lang->scorerule->type   = 'Type';
$lang->scorerule->rule   = 'Item';
$lang->scorerule->name   = 'Name';
$lang->scorerule->score  = 'Score';
$lang->scorerule->desc   = 'Describe';
$lang->scorerule->action = 'Actions';

$lang->score->report = new stdclass();
$lang->score->report->common  = 'Report';
$lang->score->report->year    = 'Year';
$lang->score->report->company = 'Company';
$lang->score->report->dept    = 'Department';
$lang->score->report->user    = 'User';
$lang->score->report->item    = 'Item';
$lang->score->report->score   = 'Score';
$lang->score->report->times   = 'Times';

$lang->score->report->types = array();
$lang->score->report->types['exchange'] = 'Exchange Score';
$lang->score->report->types['gift']     = 'Gift Score';

$lang->score->report->menus = array();
$lang->score->report->menus['exchange'] = 'Exchange Score|score|report|type=exchange';
$lang->score->report->menus['gift']     = 'Score|score|report|type=gift';

$lang->score->settings = new stdclass();
$lang->score->settings->setLevel = 'Level|score|setlevel';
$lang->score->settings->setSect  = 'Sect|score|setsect';

$lang->score->ruleTypeList = new stdclass();
$lang->score->ruleTypeList->system = 'System Score';
$lang->score->ruleTypeList->custom = 'Custom Score';

$lang->score->systemRule = new stdclass();
$lang->score->systemRule->module  = 'Module';
$lang->score->systemRule->method  = 'Actions';
$lang->score->systemRule->hour    = 'Hours';
$lang->score->systemRule->times   = 'Times';
$lang->score->systemRule->desc    = 'Description';
$lang->score->systemRule->noLimit = 'No limit';

$lang->score->rankList = new stdclass(); 
$lang->score->rankList->overall = 'Overall Ranking';
$lang->score->rankList->monthly = 'Monthly Ranking';
$lang->score->rankList->weekly  = 'Weekly Ranking';
$lang->score->rankList->daily   = 'Daily Ranking';

$lang->score->modules = array();
$lang->score->modules['user'] = 'User';

$lang->score->extended = array();
$lang->score->extended['user']['changePassword'] = 'Get ##strength,1## point, if the password strength is medium. Get ##strength,2## points, if it is strong.';

$lang->score->defaultSect = json_encode(array('default' => array('name' => 'XuanQing School', 'level' => array('Jushi', 'Daotong', 'Zhenren', 'Dixian', 'Tianxian'))));
